use serde::{Deserialize, Serialize};

// Message that used to communicate with server.
#[derive(Serialize, Deserialize, Debug)]
pub struct CctweakedMessage {
    content: String,
    msg_type: i32
}

// Simple builder for that message
pub fn create_cctweaked_message(content: String, msg_type: i32) -> CctweakedMessage {
    CctweakedMessage {
        content,
        msg_type
    }
}

pub fn decode_json(json: String) -> CctweakedMessage {
    serde_json::from_str(&json)
        .expect("Failed to read json")
}