// Code that handles server data readings. Pretty simple
// Just a GET json and POST json functions

use reqwest::{blocking::{Client, Response}, Error, StatusCode};

use crate::decoding::create_cctweaked_message;

pub fn get_json(url: String) -> Result<String, StatusCode> {
    let resp = reqwest::blocking::get(url)
        .expect("Failed to get json");
    
    let status = resp.status();
    
    match resp.text() {
        // Replacing `\` for desirialization to work
        Ok(body) => Ok(String::from(body.trim().replace("\\", ""))),
        _ => Err(status)
    }
}

pub fn send_json(url: String, content: String, msg_type: i32) -> Result<Response, Error> {
    let message = create_cctweaked_message(content, msg_type);
    
    let client = Client::new();
    let resp = client.post(url)
        // A bit crazy stuff, but it works.
        .body(serde_json::to_string(&message).expect("Failed to create json from message"))
        .send();
    resp
}